boost::geometry::cs::spherical_equatorial< DegreeOrRadian > Struct Template Reference
coordinate systems

Spherical equatorial coordinate system, in degree or in radian. More...

List of all members.

## Public Types

typedef core_detail::coordinate_system_units < DegreeOrRadian >::units | units

## Detailed Description

### template<typename DegreeOrRadian>
struct boost::geometry::cs::spherical_equatorial< DegreeOrRadian >

Spherical equatorial coordinate system, in degree or in radian.

This one resembles the geographic coordinate system, and has latitude up from zero at the equator, to 90 at the pole (opposite to the spherical(polar) coordinate system). Used in astronomy and in GIS (but there is also the geographic)

See also:
  http://en.wikipedia.org/wiki/Spherical_coordinates

Examples:
  07_a_graph_route_example.cpp, and 07_b_graph_route_example.cpp.

## Member Typedef Documentation

template<typename DegreeOrRadian >

typedef core_detail::coordinate_system_units< DegreeOrRadian >::units boost::geometry::cs::spherical_equatorial< DegreeOrRadian >::units

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK